### Struct

# Rest PkceCodeChallenge

unstable since: 1.0

#### Description [src]

    struct RestPkceCodeChallenge {
      /* No available fields */
    }

In order to play a Pkce Code Verification during a OAuth2 authorization you need this structure which handles the algorithmic part.

Available since: 1.0

#### Constructors

###### rest_pkce_code_challenge_new_random

Creates a new `RestPkceCodeChallenge`.

unstable since: 1.0

#### Instance methods

###### rest_pkce_code_challenge_copy

Makes a deep copy of a `RestPkceCodeChallenge`.

unstable since: 1.0

###### rest_pkce_code_challenge_free

Frees a `RestPkceCodeChallenge` allocated using `rest_pkce_code_challenge_new()` or rest_pkce_code_challenge_copy().

unstable since: 1.0

###### rest_pkce_code_challenge_get_challenge

Returns the Code Challenge for the Pkce verification.

unstable since: 1.0

###### rest_pkce_code_challenge_get_verifier

Returns the Code Verifier for the Pkce verification.

unstable since: 1.0